ColorPropertyEditor (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.util.propertyEditor
Class ColorPropertyEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          com.bbn.openmap.util.propertyEditor.ColorPropertyEditor

All Implemented Interfaces:
  java.beans.PropertyEditor

    public class ColorPropertyEditor

extends java.beans.PropertyEditorSupport

A PropertyEditor that brings up a JFileChooser panel to select a file.

Field Summary
`protected int` | `icon_height`
`protected int` | `icon_width`
`static java.lang.String` | `title`

Constructor Summary
`ColorPropertyEditor()` Create FilePropertyEditor.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)` Implement ActionListener interface.
`java.lang.String` | `getAsText()` Implement PropertyEditor interface.
`java.awt.Component` | `getCustomEditor()` Returns a JButton that will bring up a JFileChooser dialog.
`javax.swing.ImageIcon` | `getIconForPaint(java.awt.Paint paint, boolean fill)`
`protected void` | `setButtonForColor(java.awt.Color color)`
`void` | `setValue(java.lang.Object someObj)` Implement PropertyEditor interface.
`boolean` | `supportsCustomEditor()` PropertyEditor interface.

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setAsText, setSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### title

    public static final java.lang.String title

### icon_width

    protected int icon_width

### icon_height

    protected int icon_height

Constructor Detail

### ColorPropertyEditor

    public ColorPropertyEditor()

  Create FilePropertyEditor.

Method Detail

### supportsCustomEditor

    public boolean supportsCustomEditor()

  PropertyEditor interface.

  Specified by:
    `supportsCustomEditor` in interface `java.beans.PropertyEditor`
  Overrides:
    `supportsCustomEditor` in class `java.beans.PropertyEditorSupport`
  Returns:
    true

### getCustomEditor

    public java.awt.Component getCustomEditor()

  Returns a JButton that will bring up a JFileChooser dialog.

  Specified by:
    `getCustomEditor` in interface `java.beans.PropertyEditor`
  Overrides:
    `getCustomEditor` in class `java.beans.PropertyEditorSupport`
  Returns:
    JButton button

### getIconForPaint

    public javax.swing.ImageIcon getIconForPaint(java.awt.Paint paint,
                                                 boolean fill)

### setValue

    public void setValue(java.lang.Object someObj)

  Implement PropertyEditor interface.

  Specified by:
    `setValue` in interface `java.beans.PropertyEditor`
  Overrides:
    `setValue` in class `java.beans.PropertyEditorSupport`

### setButtonForColor

    protected void setButtonForColor(java.awt.Color color)

### getAsText

    public java.lang.String getAsText()

  Implement PropertyEditor interface.

  Specified by:
    `getAsText` in interface `java.beans.PropertyEditor`
  Overrides:
    `getAsText` in class `java.beans.PropertyEditorSupport`

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Implement ActionListener interface.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details